package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridHouse;
import com.ruoyi.system.domain.grid.GridHouseExample;
import com.ruoyi.system.domain.grid.ext.GridHouseExt;
import com.ruoyi.system.domain.grid.vo.GridHouseSearchParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GridHouseMapper {
    long countByExample(GridHouseExample example);

    int deleteByExample(GridHouseExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridHouse record);

    int insertSelective(GridHouse record);

    List<GridHouse> selectByExample(GridHouseExample example);

    GridHouse selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridHouse record, @Param("example") GridHouseExample example);

    int updateByExample(@Param("record") GridHouse record, @Param("example") GridHouseExample example);

    int updateByPrimaryKeySelective(GridHouse record);

    int updateByPrimaryKey(GridHouse record);

    List<Map<String, Object>> countGridHouse( @Param("wgCodeLikes") List<String> wgCode);

    List<Map<String, Object>> countGridHouseByFwzt(@Param("wgCodeLikes") List<String> wgCode);

    List<Map<String, Object>> countGridHouseByGrid();

    List<GridHouseExt> pageHouse(@Param("wsHouse") GridHouseSearchParam wsHouse, @Param("value") String value);

    Integer countByParam(GridHouseSearchParam param);
}
